<?php
/*

# ------------------------------------------------------------------------
# JA Mica Template for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
include_once (dirname(__FILE__).DS.'ja_vars_1.5.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>"><head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/addons.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/editor.css" type="text/css" />

<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/typo.css" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/ja.script.js"></script>
<script language="javascript" type="text/javascript">
	var siteurl = '<?php echo $tmpTools->baseurl();?>';
	var tmplurl = '<?php echo $tmpTools->templateurl();?>';
</script>

<!-- Menu head -->
<?php $jamenu->genMenuHead(); ?>
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/ja.bulletin.css" type="text/css" />
<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo strtolower ($tmpTools->getParam(JA_TOOL_COLOR)); ?>.css" rel="stylesheet" type="text/css" />

<?php if ($tmpTools->isIE()) { ?>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie.php" rel="stylesheet" type="text/css" />
<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo strtolower ($tmpTools->getParam(JA_TOOL_COLOR));?>-ie.php" rel="stylesheet" type="text/css" />
<script type="text/javascript">
window.addEvent ('load', makeTransBG);
function makeTransBG() {
makeTransBg($$('img'));
}
</script>
<?php } ?>
</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_LAYOUT);?> <?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>"  >
<a name="Top" id="Top"></a>

<!-- BEGIN: HEADER -->
<div id="ja-header" class="wrap">
  <div class="main clearfix">
		<div class="inner clearfix">
		
		<?php 
  	$siteName = $tmpTools->sitename(); 
  	if ($tmpTools->getParam('logoType')=='image') { ?>
  	<h1 class="logo">
  		<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
  	</h1>
  	<?php } else { 
  	$logoText = (trim($tmpTools->getParam('logoText'))=='') ? $config->sitename : $tmpTools->getParam('logoText');
  	$sloganText = (trim($tmpTools->getParam('sloganText'))=='') ? JText::_('SITE SLOGAN') : $tmpTools->getParam('sloganText');	?>
  	<div class="logo-text">
  		<h1>
  			<a href="index.php" title="<?php echo $siteName; ?>"><?php echo $logoText; ?></a>	
  		</h1>
  		<p class="site-slogan"><?php echo $sloganText;?></p>
  	</div>
  	<?php } ?>
  	
  	<div id="ja-author">
  		<jdoc:include type="modules" name="user7" style="raw" />
  	</div>
  	
  	<!-- BEGIN: MAIN NAVIGATION -->
		<div id="ja-mainnav">
			<ul class="no-display">
				<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-content" title="<?php echo JText::_("Skip to content");?>"><?php echo JText::_("Skip to content");?></a></li>
			</ul>
			
			<?php $jamenu->genMenu (0); ?>
		</div>
		<!-- END: MAIN NAVIGATION -->
		
		</div>
  </div>
</div>
<!-- END: HEADER -->

<?php if (!$tmpTools->isContentEdit() && $this->countModules('ja-slideshow')) { ?>
<!-- BEGIN: SLIDESHOW -->
<div id="ja-slideshow" class="wrap">
	<div class="main clearfix">
    <jdoc:include type="modules" name="ja-slideshow" style="raw" />
	</div>
</div>
<!-- END: SLIDESHOW -->
<?php } ?>

<div id="ja-pathway" class="wrap">
	<div class="main">
		<div class="inner clearfix">
		
			<strong><?php echo JText::_('YOU ARE HERE:');?> </strong><jdoc:include type="module" name="breadcrumbs" />
			
			<?php if ($this->countModules('user4') ) { ?>
			<div id="ja-search">
				<jdoc:include type="modules" name="user4" style="raw" />
			</div>
			<?php } ?>
			
		</div>
	</div>
</div>

<div id="ja-container<?php echo $divid; ?>" class="wrap">
	<div class="main clearfix">
		<div class="inner clearfix">
		
			<!-- BEGIN: CONTENT -->
			<div id="ja-content">
				<jdoc:include type="message" />
				<div id="ja-current-content">
	          <jdoc:include type="component" />
				</div>
				<jdoc:include type="modules" name="user5" style="xhtml" />
			</div>
			<!-- END: CONTENT -->
		
			<?php if ($ja_left || $ja_right) { ?>
			<!-- BEGIN: COLUMNS -->
				<div id="ja-cols" class="clearfix">
					<?php if ($ja_left) { ?>
					<div id="ja-col1">
						<div class="inner clearfix">
							<?php if ($hasSubnav) { ?>
							<div id="ja-subnav" class="moduletable_menu">
								<h3 class="clearfix"><span>On this page</span></h3>
								<div class="ja-box-ct">
									<?php $jamenu->genMenu (1,1); ?>
								</div>
							</div>
							<?php } ?>
							
							<jdoc:include type="modules" name="left" style="jamodule" />
						</div>
					</div>
					<?php } ?>
			
					<?php if ($ja_right) { ?>
					<div id="ja-col2">
						<div class="inner">
							<jdoc:include type="modules" name="right" style="jamodule" />
						</div>
					</div>
					<?php } ?>
					
				</div>
			<!-- END: COLUMNS -->
			<?php } ?>
			
		</div>
	</div>
</div>

<?php
$spotlight = array ('user1','user2','user6');
$botsl = $tmpTools->calSpotlight ($spotlight,$tmpTools->isOP()?100:99.9, 50);
if( $botsl ) {
?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botsl">
	<div class="main">
		<div class="inner clearfix">
	
      <?php if( $this->countModules('user1') ) { ?>
      <div class="ja-box<?php echo $botsl['user1']['class']; ?>" style="width: <?php echo $botsl['user1']['width']; ?>;">
        <jdoc:include type="modules" name="user1" style="jamodule" />
      </div>
      <?php } ?>
      
      <?php if( $this->countModules('user2') ) { ?>
      <div class="ja-box<?php echo $botsl['user2']['class']; ?>" style="width: <?php echo $botsl['user2']['width']; ?>;">
        <jdoc:include type="modules" name="user2" style="jamodule" />
      </div>
      <?php } ?>
      
      <?php if( $this->countModules('user6') ) { ?>
      <div class="ja-box<?php echo $botsl['user6']['class']; ?>" style="width: <?php echo $botsl['user6']['width']; ?>;">
        <jdoc:include type="modules" name="user6" style="jamodule" />
      </div>
      <?php } ?>
      
    </div>
  </div>
</div>
	<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- BEGIN: FOOTER -->
<div id="ja-footer" class="wrap">
	<div class="main clearfix">
	
		<div class="sublogo"></div>
	  <div class="ja-info">
      <jdoc:include type="modules" name="user3" />
      <jdoc:include type="modules" name="footer" />
	  </div>
	  
	</div>
</div>
<!-- END: FOOTER --><?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                                                                                                                                                            <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?>

<jdoc:include type="modules" name="debug" />
</body>

</html>
